Create SubscriptionAsk AIpost https://api.assembly.com/v1/subscriptionsThis API endpoint creates a subscription. A subscription is used to bill clients on a recurring basis.Body ParamstemplateIdstringUnique ID of the invoice template to use. If provided, template values will be used for lineItems, memo, taxPercentage, and currencyrecipientIdstringDeprecated in favor of clientId and companyId.lineItemsarray of objectsArray of line items. Required if templateId is not provided.lineItemsADD objectmemostringArbitrary string attached to the invoice, often used for displaydaysUntilDueint32requiredThe number of days from when the subscription invoice is created until it is due. Max value is 30.taxPercentagefloatTax percentage to apply to the invoice amountintervalstringBilling frequency. Required if line items don't include a recurring price. Values: day, week, month, quarterly, yearlyintervalCountint32Defaults to 1Number of intervals between billings. Default value = 1paymentMethodPreferencesarray of objectsrequiredArray of preferences which specify which payment methods are allowed and how transaction fees are handled for each payment methodpaymentMethodPreferences*ADD objectcollectionMethodstringrequiredSpecify how to charge for an invoice values: sendInvoice , chargeAutomaticallyclientIdstringThe ID of the client this subscription is assigned to. Leave empty if assigning to a company.companyIdstringThe ID of the company this subscription is assigned to. This is required when assigning to a client with more than one company.Responses 200200 400400Updated 8 months ago